package com.fourdage.dingding.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.fourdage.base.dao.IBaseDao;
import com.fourdage.base.service.impl.BaseServiceImpl;
import com.fourdage.dingding.dao.IDepartmentDao;
import com.fourdage.dingding.entity.Department;
import com.fourdage.dingding.service.IDepartmentService;

@Service
public class DepartmentServiceImpl extends BaseServiceImpl<Department, Integer> implements IDepartmentService{

	@Autowired
	private IDepartmentDao dao;
	
	@Override
	public IBaseDao<Department, Integer> getBaseDao() {
		return this.dao;
	}

	@Override
	public List<Department> findByDeptId(String deptId) {
		return dao.findByDeptId(deptId);
	}

	@Override
	public List<Department> findByRegion(String region) {
		return dao.findByRegion(region);
	}

}
